'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = totalVisitsChart;


var _c = require('c3');

var _c2 = _interopRequireDefault(_c);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function totalVisitsChart(elem) {
  var div = document.createElement('div');
  elem.appendChild(div);

  return function () {
    var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    var dates = props.dates;
    var totalVisits = props.totalVisits;
    var datesWithHeader = ['Date'].concat(_toConsumableArray(dates));
    var totalVisitsWithHeader = ['Total Visits'].concat(_toConsumableArray(totalVisits));

    div.innerHTML = '<div id="totalvisitschart"></div>';

    _c2.default.generate({
      bindto: '#totalvisitschart',
      tooltip: {
        show: false
      },
      data: {
        x: 'Date',
        y: 'Total Visits',
        colors: {
          'Total Visits': '#469AFD'
        },
        columns: [datesWithHeader, totalVisitsWithHeader],
        type: 'bar',
        labels: true
      },
      legend: {
        hide: true
      },
      axis: {
        y: {
          show: false
        },
        x: {
          type: 'timeseries',
          label: {
            show: false
          },
          height: 50,
          tick: {
            format: '%-m/%-d',
            outer: false
          }
        }
      },
      bar: {
        width: {
          ratio: 0.9
        }
      }
    });
  };
}

